.footer{
  background:var(--color-primary);
  color:var(--color-var(--color-white));
  position:relative;
}

.footer-container{
  max-width:1400px;
  margin:auto;
  padding:50px 20px;
  display:flex;
  justify-content:space-between;
  gap:40px;
  flex-wrap:wrap;
}

.footer-logo{
  width:270px;
  margin-bottom:20px;
}

.socials{
  display:flex;
  justify-content:center;
  gap:15px;
}

.socials a{
  width:55px;
  height:55px;
  background:var(--color-white);
  color:var(--color-primary);
  display:flex;
  align-items:center;
  justify-content:center;
  border-radius:50%;
  font-size:28px;
  transition:all ease .3s;
}

.socials a:hover{
  background:var(--color-secondary-hover);
  color:var(--color-white);
}

.footer-col{
  display:flex;
  flex-direction:column;
  gap:10px;
  min-width:180px;
}

.footer-col h6{
  font-size:18px;
  margin-bottom:10px;
  font-weight:500;
  color:var(--color-white);
}

.footer-col a{
  color:var(--color-white);
  text-decoration:none;
  font-style:italic;
  transition: all ease .3s;
}

.footer-col a:hover{
  text-decoration:underline;
}

.book-icon{
  margin-top:10px;
  width:80px;
  height:auto;
  display:flex;
  justify-content:center;
}

.book-icon img{
    width:100%;
    height:auto;
}

.footer-bottom{
  background:var(--color-primary-hover);
  color:var(--color-white);
  text-align:center;
  padding:10px;
  font-size:12px;
}

.footer-bottom a{
    color:var(--color-white);
  transition: all ease .3s;
}

.footer-bottom a:hover{
    color: var(--color-secondary-hover);
}


.scroll-top{
  position:fixed;
  bottom:20px;
  left:20px;
  width:40px;
  height:40px;
  border:none;
  background:var(--color-white);
  border-radius:5px;
  cursor:pointer;
    transform: translateY(100px);
    transition: all ease .3s;
box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 2px 0px;
}

.scroll-top-active {
    transform: translateY(0);
  }

  .scroll-top:hover{
    background-color:var(--color-primary);
    color:var(--color-white);
  }


@media(max-width:768px){

  .footer-container{
    flex-direction:column;
    align-items:center;
    text-align:center;
  }

  .footer-col{
    align-items:center;
  }

  .socials{
    justify-content:center;
  }

}
